Subject: bug#10935: 23.3; devanagari-itrans method incomplete

From: Rustom Mody <[email-masked]>
Date: Thu, 22 Mar 2012 22:01:36 +0530

On Wed, Mar 21, 2012 at 1:16 PM, Kenichi Handa <[email-masked]> wrote:

> In article <CAJ+TeodbVmiqR=uW2WKrkDaebGoObPm5VH=
> [email-masked]>, Rustom Mody <[email-masked]>
> writes:
>
> > All these additions are good and useful to me
>
> As those additions looks like useful for all
> devanagari-itrans users, and they are surely harmless, I've
> just installed them.
>
> > There is one related issue (probably in a different area of emacs).
> > When I enter the udatta or anudatta, an empty space gets created between
> > the letter and current point.  Just enter \' of \_ alone and you will see
> > what I mean.
>
> I think those spaces are part of the glyphs.  Please move
> cursor on it and type C-u C-x =.  What is reported in
> *Help* buffer?
>
> ---
> Kenichi Handa
> [email-masked]

        character: ॒ (2386, #o4522, #x952)
preferred charset: unicode (Unicode (ISO10646))
       code point: 0x0952
           syntax: w     which means: word
         category: i:Indian
      buffer code: #xE0 #xA5 #x92
        file code: #xE0 #xA5 #x92
           (encoded by coding system utf-8-unix)
          display: composed to form "॒" (see below)

Composed using this font:
  xft:-unknown-Lohit Maithili-normal-normal-normal-*-12-*-*-*-*-0-iso10646-1
by these glyphs:
  [0 0 9676 172 11 1 10 9 0 nil]
  [0 0 2386 126 12 -8 -1 -1 2 nil]

Character code properties: customize what to show
  name: DEVANAGARI STRESS SIGN ANUDATTA
  general-category: Mn (Mark, Nonspacing)

There are text properties here:
  fontified            t

[forward]